Advanced report - Error #380

Fail to access from development environment
2010-12-20 13:01 - Emilio Gonzalez Montafia

Status: Resolved Start date: 2010-12-20
Priority: Normal Due date: 2010-12-20
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: General Estimated time: 0.00 hour
Target version: 0.0.4

Source: Detected on version:

Description

After booting Redmine on dev mode, only the first time is correct, the next ones produce this error:
ArgumentError in Advanced reportController#index
A copy of ApplicationController has been removed from the module tree but is still active!

RAILS_ROOT: /home/usuario/Documentos/redmine-1.0.4
Application Trace | Framework Trace | Full Trace

/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/dependencies.
rb:414:in "~ load_missing_constant'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/dependencies.
rb:96:in “const_missing'

/home/usuario/Documentos/redmine-1.0.4/app/controllers/application_controller.rb:55:in “user_setup
|l

/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/dependencies.
rb:414:in "~ load_missing_constant'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/dependencies.
rb:96:in “const_missing'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/callbacks.rb:
178:in "“send'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/callbacks.rb:
178:1n “evaluate_method’
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/callbacks.rb:
166:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:22
5:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:62
9:in “run_before_filters'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:61
5:1in “call_filters'
/home/usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:61
0:in "perform_action_without_benchmark'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/benchmarking.
rb:68:in ‘perform_action_without_rescue'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/core_ext/benc
hmark.rb:17:in "ms'

/usr/lib/ruby/1.8/benchmark.rb:308:in “realtime'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/core_ext/benc
hmark.rb:17:in "ms'
/home/usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/benchmarking.
rb:68:in ‘perform_action_without_rescue'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/rescue.rb:160
:in “perform_action_without_flash'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/flash.rb:146:
in “perform_action'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/base.rb:532:1
n “send'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/base.rb:532:1
n ‘process_without_filters'
/home/usuario/Documentos/redmine-1.
6:in “process'
/home/usuario/Documentos/redmine—-1.
n ‘process'
/home/usuario/Documentos/redmine—-1.
‘call'
/home/usuario/Documentos/redmine—-1.
_set.rb:437:in “call’
/home/usuario/Documentos/redmine-1.
:87:in “dispatch'
/home/usuario/Documentos/redmine—-1.
:121:in " _call'
/home/usuario/Documentos/redmine—-1.
:130:1in "build_middleware_stack'
/home/usuario/Documentos/redmine—-1.
29:in “call'
/home/usuario/Documentos/redmine-1.
29:in “call'
/home/usuario/Documentos/redmine—-1.
ters/abstract/query_cache.rb:34:in
/home/usuario/Documentos/redmine—-1.

n

9:in " cache'
/home/usuario/Documentos/redmine—-1.
28:in “call'
/home/usuario/Documentos/redmine-1.
ters/abstract/connection_pool.rb:36

0
0
0

0

1:

.4/vendor/rails/actionpack/lib/action_controller/filters.rb:60
.4/vendor/rails/actionpack/lib/action_controller/base.rb:391:1
.4/vendor/rails/actionpack/lib/action_controller/base.rb:386:1
.4/vendor/rails/actionpack/lib/action_controller/routing/route
.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb
.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb
.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb
.4/vendor/rails/activerecord/lib/active_record/query_cache.rb:
.4/vendor/rails/activerecord/lib/active_record/query_cache.rb:
.4/vendor/rails/activerecord/lib/active_record/connection_adap
cache'

.4/vendor/rails/activerecord/lib/active_record/query_cache.rb:

.4/vendor/rails/activerecord/lib/active_record/query_cache.rb:

.4/vendor/rails/activerecord/lib/active_record/connection_adap

in ‘“call’

/home /usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/string_coerci
on.rb:25:in “call'
/home/usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/params_parser
.rb:15:1in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/session/cooki
e_store.rb:93:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/failsafe.rb:2
6:in “call'
/home/usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb
:114:in “call’
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/reloader.rb:3
4:in “run'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb
:108:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/railties/lib/rails/rack/static.rb:31:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/railties/lib/rails/rack/log_tailer.rb:17:in "c
all'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in "service'
/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in “run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in "start_thread'
/usr/lib/ruby/1.8/webrick/server.rb:162:in " start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in " start_thread'
/usr/lib/ruby/1.8/webrick/server.rb:95:in "start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in “each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in "start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in ‘start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in "start'

/home/usuario/Documentos/redmine-1.0.4/vendor/rails/railties/lib/commands/server.rb:111

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require’

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in ‘require'

script/server:3

/home/usuario/Documentos/redmine—-1.
rb:414:in "load_missing_constant'
/home/usuario/Documentos/redmine—-1.
rb:96:in “const_missing'
/home/usuario/Documentos/redmine—-1.
L}
/home/usuario/Documentos/redmine-1.
178:in "“send'
/home/usuario/Documentos/redmine-1.
.4/vendor/rails/activesupport/lib/active_support/dependencies.
.4/vendor/rails/activesupport/lib/active_support/dependencies.
.4/app/controllers/application_controller.rb:55:in ‘user_setup
.4/vendor/rails/activesupport/lib/active_support/callbacks.rb:

.4/vendor/rails/activesupport/lib/active_support/callbacks.rb:
178:in “evaluate_method’
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/callbacks.rb:
166:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:22
5:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:62
9:in “run_before_filters'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:61
5:in “call_filters'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:61
0:in "perform_action_without_benchmark'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/benchmarking.
rb:68:in ‘perform_action_without_rescue'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/core_ext/benc
hmark.rb:17:in "ms'

/usr/lib/ruby/1.8/benchmark.rb:308:in “realtime'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activesupport/lib/active_support/core_ext/benc
hmark.rb:17:in "ms'

/home /usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/benchmarking.
rb:68:in "perform_action_without_rescue'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/rescue.rb:160
:in “perform_action_without_flash'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/flash.rb:146:
in "perform_action'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/base.rb:532:1
n " send'

/home /usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/base.rb:532:1
n ‘process_without_filters'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/filters.rb:60
6:in “process'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/base.rb:391:1
n “process'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/base.rb:386:1
n ‘call'

/home /usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/routing/route
_set.rb:437:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb
:87:in “dispatch'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb
:121:in " _call’
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb
:130:1in “build _middleware_stack'

/home /usuario/Documentos/redmine—-1.0.4/vendor/rails/activerecord/lib/active_record/query_cache.rb:
29:in “call’
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activerecord/lib/active_record/query_cache.rb:
29:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activerecord/lib/active_record/connection_adap
ters/abstract/query_cache.rb:34:in " cache'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activerecord/lib/active_record/query_cache.rb:
9:in " cache'
/home/usuario/Documentos/redmine—-1.0.4/vendor/rails/activerecord/lib/active_record/query_cache.rb:
28:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/activerecord/lib/active_record/connection_adap
ters/abstract/connection_pool.rb:361:in “call’
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/string_coerci
on.rb:25:in “call'

/var/lib/gems/1.8/gems/rack-1.0.1/1ib/rack/head.rb:9:in “call'
/var/lib/gems/1.8/gems/rack-1.0.1/1ib/rack/methodoverride.rb:24:in “call'

/home /usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/params_parser
.rb:15:in “call’
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/session/cooki
e_store.rb:93:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/failsafe.rb:2
6:in “call'

/var/lib/gems/1.8/gems/rack-1.0.1/1ib/rack/lock.rb:11:in “call'
/var/lib/gems/1.8/gems/rack-1.0.1/1ib/rack/lock.rb:11:in "~synchronize'
/var/lib/gems/1.8/gems/rack-1.0.1/1ib/rack/lock.rb:11:in “call'
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb

:114:in “call’

/home/usuario/Documentos/redmine—-1.0.4/vendor/rails/actionpack/lib/action_controller/reloader.rb:3

4:in “run'

/home/usuario/Documentos/redmine-1.0.4/vendor/rails/actionpack/lib/action_controller/dispatcher.rb

:108:in “call’

/home/usuario/Documentos/redmine-1.0.4/vendor/rails/railties/lib/rails/rack/static.rb:31:in
/var/lib/gems/1.
/var/lib/gems/1.
/var/lib/gems/1.

8/gems/rack-1.0.1/1lib/rack/urlmap.rb:46:in “call'
8/gems/rack-1.0.1/1lib/rack/urlmap.rb:40:in "each'
8/gems/rack-1.0.1/1lib/rack/urlmap.rb:40:in “call'

/home/usuario/Documentos/redmine—-1.0.4/vendor/rails/railties/lib/rails/rack/log_tailer.rb:17:in

all'

/var/lib/gems/1.
/var/lib/gems/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
.8/webrick/server.rb:23:in
/usr/lib/ruby/1.
/var/lib/gems/1.
/home/usuario/Documentos/redmine-1.0.4/vendor/rails/railties/lib/commands/server.rb:

/usr/lib/ruby/1

8/gems/rack-1.0.1/1ib/rack/content_length.rb:13:in “call'

8/gems/rack-1.0.1/1lib/rack/handler/webrick.rb:50:in
8/webrick/httpserver.rb:104:in
8/webrick/httpserver.rb:65:in "run'
8/webrick/server.rb:173:in " start_thread'
8/webrick/server.rb:162:1in " start'
8/webrick/server.rb:162: “start_thread'
8/webrick/server.rb:95:1in "“start'
8/webrick/server.rb:92:1in
8/webrick/server.rb:92:1in

‘service'

in

‘each'
‘start!
‘start!
8/webrick/server.rb:82:in ‘start'
8/gems/rack-1.0.1/1lib/rack/handler/webrick.rb:14:in

‘service'

‘run'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31l:in ‘gem_original_require'

/usr/lib/ruby/1.
script/server:3

Request

Parameters:

None

8/rubygems/custom_require.rb:31:in ‘require'

Show session dump

Response

Headers:

{"Content-Type"=>"",

"Cache-Control"=>"no-cache"}

111

‘call'

“@

Associated revisions

Revision 1015 - 2010-12-20 13:19 - Emilio Gonzalez Montana

#380

® Fix dev mode problem.

History

#1 - 2010-12-20 13:16 -

Emilio Gonzalez Montana

- Project changed from Advanced roadmap to Advanced report

- Category changed from General to General

- Target version deleted (Advanced roadmap 0.2.1)

#2-2010-12-20 13:16 -

Emilio Gonzalez Montaina

- Target version set to 0.0.4

#3 - 2010-12-20 13:20 -

2024-04-10

Emilio Gonzalez Montaina
- Due date set to 2010-12-20
- Status changed from In progress to Resolved

- % Done changed from 0 to 100

Added the following to the plugin init.rb:
if RAILS_ENV == "development"

ActiveSupport: :Dependencies.load_once_paths.reject!{|x| x =~ /"#{Regexp.escape(File.dirname(__FILE_ ))}/}
end
